-- HUD Helpers

local function drawMarqueeRect(v,x,y,w,h,colors,ticspadv)
    if ticspadv == nil then ticspadv = 1 end
    local coffset = 0xFFFFFF
    local cx, cy = x-1, y-1
    local cidx = 1

    for i = 0,h do
        cy = $+1
        coffset = $-1
        cidx = (((leveltime/ticspadv) + coffset) % #colors) + 1
        v.drawFill(cx,cy,1,1,colors[cidx] | V_10TRANS)
    end

    for i = 0,w do
        cx = $+1
        coffset = $-1
        cidx = (((leveltime/ticspadv) + coffset) % #colors) + 1
        v.drawFill(cx,cy,1,1,colors[cidx] | V_10TRANS)
    end

    for i = 0,h do
        cy = $-1
        coffset = $-1
        cidx = (((leveltime/ticspadv) + coffset) % #colors) + 1
        v.drawFill(cx,cy,1,1,colors[cidx] | V_10TRANS)
    end

    for i = 0,w do
        cx = $-1
        coffset = $-1
        cidx = (((leveltime/ticspadv) + coffset) % #colors) + 1
        v.drawFill(cx,cy,1,1,colors[cidx] | V_10TRANS)
    end

end

rawset(_G,"drawMarqueeRect",drawMarqueeRect)